Summary: SMB client and server
Name: samba
Version: 1.9.18p10
Release: 3
Copyright: GPL
Group: Networking
Source: ftp://samba.anu.edu.au/pub/samba/samba-%{version}.tar.gz
Patch: samba-make.patch
Requires: pam >= 0.59
BuildRoot: /var/tmp/samba-root
Prereq: chkconfig fileutils

%description
Samba provides an SMB server which can be used to provide
network services to SMB (sometimes called "Lan Manager")
clients, including various versions of MS Windows, OS/2,
and other Linux machines. Samba also provides some SMB
clients, which complement the built-in SMB filesystem
in Linux. Samba uses NetBIOS over TCP/IP (NetBT) protocols
and does NOT need NetBEUI (Microsoft Raw NetBIOS frame)
protocol.

This release is known as the "Locking Update" and has full
support for Opportunistic File Locking. In addition this update
includes native support for Microsoft encrypted passwords,
improved browse list and WINS database management.

Please refer to the WHATSNEW.txt document for fixup information.
This binary release includes encrypted password support.
Please read the smb.conf file and ENCRYPTION.txt in the
docs directory for implementation details.

%prep
%setup -q
%patch -p1

%build
cd source
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all wsmbconf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/codepages/src
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,pam.d}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc0.d,rc1.d,rc2.d,rc3.d,rc5.d,rc6.d}
mkdir -p $RPM_BUILD_ROOT/home/samba
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/{man1,man5,man7,man8}
mkdir -p $RPM_BUILD_ROOT/var/lock/samba
mkdir -p $RPM_BUILD_ROOT/var/log/samba
mkdir -p $RPM_BUILD_ROOT/var/spool/samba

for i in nmblookup smbclient smbpasswd smbrun smbstatus testparm testprns \
	make_smbcodepage make_printerdef
do
  install -m755 -s source/$i $RPM_BUILD_ROOT/usr/bin
done

for i in addtosmbpass mksmbpasswd.sh smbtar
do
  install -m755 source/$i $RPM_BUILD_ROOT/usr/bin
done

for i in smbd nmbd wsmbconf
do
  install -m755 -s source/$i $RPM_BUILD_ROOT/usr/sbin
done

for i in smbclient.1 smbrun.1 smbstatus.1 smbtar.1 testparm.1 testprns.1 make_smbcodepage.1
do
  install -m644 docs/$i $RPM_BUILD_ROOT/usr/man/man1
done

for i in 437 850 852 866 932 949 950 936
do
  install -m644 source/codepage_def.$i $RPM_BUILD_ROOT/etc/codepages/src
done

install -m644 docs/smb.conf.5 $RPM_BUILD_ROOT/usr/man/man5
install -m644 docs/samba.7 $RPM_BUILD_ROOT/usr/man/man7
install -m644 docs/smbd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 docs/nmbd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 docs/smbpasswd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 packaging/redhat/RH50/smb.conf $RPM_BUILD_ROOT/etc/smb.conf
install -m644 packaging/redhat/RH50/smbusers $RPM_BUILD_ROOT/etc/smbusers
install -m755 packaging/redhat/RH50/smbprint $RPM_BUILD_ROOT/usr/bin
install -m755 packaging/redhat/RH50/smbadduser $RPM_BUILD_ROOT/usr/bin
install -m755 packaging/redhat/RH50/findsmb $RPM_BUILD_ROOT/usr/bin
install -m755 packaging/redhat/RH50/smb.init $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
install -m755 packaging/redhat/RH50/smb.init $RPM_BUILD_ROOT/usr/sbin/samba
install -m644 packaging/redhat/RH50/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
install -m644 packaging/redhat/RH50/samba.log $RPM_BUILD_ROOT/etc/logrotate.d/samba

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smb
for i in 437 850 852 866 932 949 950 936
do
/usr/bin/make_smbcodepage c $i /etc/codepages/src/codepage_def.$i /etc/codepages/codepage.$i
done

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del smb

    for n in /etc/codepages/*; do
	if [ $n != /etc/codepages/src ]; then
	    rm -rf $n
	fi
    done
fi

%postun
if [ $1 != 0 ] ; then
    exit 0

    if [ -x /etc/pam.d/samba ]; then
      rm -f /etc/pam.d/samba
    fi
fi

%triggerpostun -- samba < samba-1.9.18p7
if [ $1 != 0 ]; then
    /sbin/chkconfig --add smb
fi

%files
%defattr(-,root,root)
%doc README COPYING Manifest Read-Manifest-Now
%doc WHATSNEW.txt Roadmap
%doc docs
%doc examples
/usr/sbin/smbd
/usr/sbin/nmbd
%attr(2755,root,root)	/usr/sbin/wsmbconf
/usr/bin/addtosmbpass
/usr/bin/mksmbpasswd.sh
/usr/bin/smbclient
/usr/bin/testparm
/usr/bin/testprns
/usr/bin/smbrun
/usr/bin/findsmb
/usr/bin/smbstatus
/usr/bin/nmblookup
/usr/bin/make_smbcodepage
/usr/bin/make_printerdef
/usr/bin/smbpasswd
/usr/bin/smbtar
/usr/bin/smbprint
/usr/bin/smbadduser
%config /etc/smb.conf
%config /etc/smbusers
%config /etc/rc.d/init.d/smb
%attr(755,root,root)	%config /usr/sbin/samba
%config /etc/logrotate.d/samba
%config /etc/pam.d/samba
%config /etc/codepages/src/codepage_def.437
%config /etc/codepages/src/codepage_def.850
%config /etc/codepages/src/codepage_def.852
%config /etc/codepages/src/codepage_def.866
%config /etc/codepages/src/codepage_def.932
%config /etc/codepages/src/codepage_def.936
%config /etc/codepages/src/codepage_def.949
%config /etc/codepages/src/codepage_def.950
/usr/man/man1/smbstatus.1
/usr/man/man1/smbclient.1
/usr/man/man1/make_smbcodepage.1
/usr/man/man1/smbrun.1
/usr/man/man1/smbtar.1
/usr/man/man1/testparm.1
/usr/man/man1/testprns.1
/usr/man/man5/smb.conf.5
/usr/man/man7/samba.7
/usr/man/man8/smbd.8
/usr/man/man8/nmbd.8
/usr/man/man8/smbpasswd.8
%attr(-,root,nobody)	%dir /home/samba
%dir /etc/codepages
%dir /etc/codepages/src
%dir /var/lock/samba
%dir /var/log/samba
%attr(777,root,root)	%dir /var/spool/samba

%changelog
* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

